<?php
/**
 * @package FishPig_WordPress
 * @author  Ben Tideswell (ben@fishpig.com)
 * @url     https://fishpig.co.uk/magento/wordpress-integration/
 */
declare(strict_types=1);

namespace FishPig\WordPress\App\Integration\Mode\Local;

class PathResolver
{
    /**
     * @auto
     */
    protected $scopeConfig = null;

    /**
     * @param  \FishPig\WordPress\App\Integration\Mode $appMode
     * @return void
     */
    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        $this->scopeConfig = $scopeConfig;
    }

    /**
     * @param  int $storeId
     * @return ?string
     */
    public function getPath(int $storeId): ?string
    {
        $path = trim(
            $this->scopeConfig->getValue(
                'wordpress/setup/path',
                \Magento\Store\Model\ScopeInterface::SCOPE_STORE,
                $storeId
            ) ?? ''
        );

        return $path ?? null;
    }
}
